NXOpen .NET Reference  12.0.0
NXOpen.CAE.Xyplot.Graph Member List

This is the complete list of members for NXOpen.CAE.Xyplot.Graph, including all inherited members.

AttributeType enum nameNXOpen.NXObject
CreateAssociativeMarker(int recordIndex, NXOpen.CAE.Xyplot.AnchorType attachType, double absPercentage)NXOpen.CAE.Xyplot.Graph
CreateAttributeIterator()NXOpen.NXObject
CreateMarker(int recordIndex, int pointIndex)NXOpen.CAE.Xyplot.Graph
CreateMarker(int recordIndex, int prePointIndex, int nextPointIndex, double linearInterpoScale)NXOpen.CAE.Xyplot.Graph
DateAndTimeFormat enum nameNXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
Find(string journalIdentifier)NXOpen.CAE.Xyplot.Graph
FindObject(string journalIdentifier)NXOpen.NXObject
GetAbscissaAxis()NXOpen.CAE.Xyplot.Graph
GetAnchorPointOfRecord(int recordIndex, NXOpen.CAE.Xyplot.AnchorType anchorType, out NXOpen.Point3d anchorPoint)NXOpen.CAE.Xyplot.Graph
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetBooleanUserAttribute(string title, int index)NXOpen.NXObject
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObject
GetGridBoundingBox(out NXOpen.Point3d leftBottom, out NXOpen.Point3d rightTop)NXOpen.CAE.Xyplot.Graph
GetIntegerAttribute(string title)NXOpen.NXObject
GetIntegerUserAttribute(string title, int index)NXOpen.NXObject
GetMarkers(out NXOpen.CAE.Xyplot.MarkerModel[] markers)NXOpen.CAE.Xyplot.Graph
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObject
GetOrdinateAxes()NXOpen.CAE.Xyplot.Graph
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObject
GetPointCount(int recordIndex)NXOpen.CAE.Xyplot.Graph
GetRealAttribute(string title)NXOpen.NXObject
GetRealUserAttribute(string title, int index)NXOpen.NXObject
GetRecordName(int recordIndex)NXOpen.CAE.Xyplot.Graph
GetReferenceAttribute(string title)NXOpen.NXObject
GetStringAttribute(string title)NXOpen.NXObject
GetStringUserAttribute(string title, int index)NXOpen.NXObject
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObject
GetTimeUserAttribute(string title, int index)NXOpen.NXObject
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributes()NXOpen.NXObject
GetUserAttributes(bool includeUnset)NXOpen.NXObject
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObject
GetUserAttributesAsStrings()NXOpen.NXObject
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeSourceObjects()NXOpen.NXObject
GetZAxis()NXOpen.CAE.Xyplot.Graph
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObject
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
IsOccurrenceNXOpen.NXObject
JournalIdentifierNXOpen.NXObject
NameNXOpen.NXObject
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
Print()NXOpen.NXObject
PrototypeNXOpen.NXObject
RecordCountNXOpen.CAE.Xyplot.Graph
SetAttribute(string title, int value)NXOpen.NXObject
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, double value)NXOpen.NXObject
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, string value)NXOpen.NXObject
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title)NXOpen.NXObject
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObject
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObject
SetDisplayStyleOfRecord(int recordIndex, int displayStyleIndex)NXOpen.CAE.Xyplot.Graph
SetName(string name)NXOpen.NXObject
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObject
SetReferenceAttribute(string title, string value)NXOpen.NXObject
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeAttribute(string title, string value)NXOpen.NXObject
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObject
Unzoom()NXOpen.CAE.Xyplot.Graph
UpdateDisplay()NXOpen.CAE.Xyplot.BaseModel
ZoomAlongX(double startScale, double endScale)NXOpen.CAE.Xyplot.Graph
ZoomAlongXY(double xStartScale, double xEndScale, double yStartScale, double yEndScale)NXOpen.CAE.Xyplot.Graph
ZoomAlongY(double startScale, double endScale)NXOpen.CAE.Xyplot.Graph
ZoomAlongZ(double startScale, double endScale)NXOpen.CAE.Xyplot.Graph
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.